import request from '@/apps/mobile/utils/request'

// 发票申请分页获取

export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/applyInvoices/query-page',
        data,
    });
}


// 获取详细
export function queryDetails(id) {
    return request({
        method: 'get',
        url: `/api/applyInvoices/query/${id}`,
    });
}
// 新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/applyInvoices/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/applyInvoices/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: `/api/applyInvoices/update`,
        data,
    });
}

// 审批
export function examineData(data) {
    return request({
        method: 'post',
        url: `/api/applyInvoices/examine`,
        data,
    });
}


// 查询税率
export function queryTaxRateList(data) {
    return request({
        method: 'post',
        url: `/api/taxSettings/query-page`,
        data,
    });
}


